package cc.smtweb.system.bpm.web.engine.dynPage;

import cc.smtweb.framework.core.common.SwException;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.design.form.ModelFormHelper;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;
import cc.smtweb.system.bpm.web.design.form.define.PageDatasets;

import java.util.Map;

/**
 * Created by Akmm at 2022/4/21 17:53
 */
public abstract class AbstractDynPageHandler extends AbstractHandler {
    //页面定义id
    protected long pageId;
    protected PageDatasets datasets;

    @Override
    public void init(SwMap params, UserSession us) {
        super.init(params, us);
        pageId = params.readLong("pageId");

        datasets = ModelFormHelper.parsePageDataset(pageId);
        if (datasets == null || datasets.list == null) throw new SwException("没有找到页面定义数据！");
    }

    protected PageDataset findDataset(String name) {
        return datasets.findByName(name);
    }

    //获取第一个，主数据集
    protected PageDataset findMasterDataset() {
        return datasets.list.get(0);
    }
}
